
SUBDIRS = doc gnome theme-d-gnome scripts gnome-examples

.PHONY : install-links install-complete uninstall-links uninstall-complete

SCRIPTDIR = $(pkgdatadir)/scripts

install-links :
	-rm $(bindir)/rtp-gnome
	ln -s $(SCRIPTDIR)/rtp-gnome.scm $(bindir)/rtp-gnome

uninstall-links :
	-rm $(bindir)/rtp-gnome

install-complete : install install-links

uninstall-complete : uninstall-links uninstall

SCRPTS := meta/uninstalled-env meta/rtp-gnome meta/guild-gnome-2 \
  meta/guile-gnome-alt-2 meta/theme-d-gnome-link

all-local: $(SCRPTS)

$(SCRPTS): %: %.in
	sed -e 's|@src_dir@|$(SRC_DIR)|g' $< > $@
	chmod 755 $@
